#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright 2012 S. Daniel Francis <francis@sugarlabs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

from sugar.activity import activity
from sugar.activity.widgets import ActivityToolbarButton
from sugar.activity.widgets import StopButton

from canvas import GraphPlotterCanvas
from toolbars import GraphPlotterToolbarBox


class GraphPlotterActivity(activity.Activity):
    def __init__(self, handle):
        activity.Activity.__init__(self, handle)
        self.activity_button = ActivityToolbarButton(self)
        self.stop = StopButton(self)
        toolbar_box = GraphPlotterToolbarBox(
                            self.activity_button, self.stop, self)
        self.set_toolbar_box(toolbar_box)
        self.activity_canvas = GraphPlotterCanvas(toolbar_box,
                                                self)
        self.set_canvas(self.activity_canvas)
        self.activity_canvas.show()

    def write_file(self, path):
        return self.canvas.write_file(path)

    def read_file(self, path):
        return self.canvas.read_file(path)
