#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Copyright (C) 2012 S. Daniel Francis <francis@sugarlabs.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
# MA 02110-1301, USA.

import ConfigParser
import sys
import os
appdir = os.path.abspath('./')
sys.path.append(appdir)

import info

activity_file_stream = open('activity.info', 'w')
activity_file = ConfigParser.RawConfigParser()
activity_file.add_section('Activity')
activity_file.set('Activity', 'name', info.name)
activity_file.set('Activity', 'activity_version',
                  info.version)
activity_file.set('Activity', 'show_launcher', '1')
activity_file.set('Activity', 'bundle_id', info.service_name)
activity_file.set('Activity', 'exec',
                  'sugar-activity activity.Activity -s')
activity_file.set('Activity', 'icon', 'activity-' + info.lower_name)
activity_file.set('Activity', 'license', info.license)
if info.file_filter_mime:
    activity_file.set('Activity', 'mime_types', info.file_filter_mime)
activity_file.write(activity_file_stream)
activity_file_stream.close()
